KDialog Class Reference

`#include <kdialog.h>`

Inheritance diagram for KDialog:

## Public Slots

virtual void | polish ()
virtual void | setCaption (const QString &caption)
virtual void | setPlainCaption (const QString &caption)

## Signals

void | layoutHintChanged ()

## Public Member Functions

| KDialog (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)

## Static Public Member Functions

static int | marginHint ()
static int | spacingHint ()
static void | resizeLayout (QWidget *widget, int margin, int spacing)
static void | resizeLayout (QLayoutItem *lay, int margin, int spacing)
static void | centerOnScreen (QWidget *widget, int screen=-1)
static bool | avoidArea (QWidget *widget, const QRect &area, int screen=-1)

## Protected Member Functions

virtual void | keyPressEvent (QKeyEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Dialog with extended non-modal support and methods for KDE standard compliance.

Generally, you should not use this class directly, but KDialogBase which inherits KDialog.

If the dialog is non-modal and has a parent, the default keybindings (`escape` = `reject()`, `enter` = `accept()`, etc.) are disabled.

The marginHint() and spacingHint() sizes shall be used whenever you layout the interior of a dialog. One special note. If you make your own action buttons (OK, Cancel etc), the space beteween the buttons shall be spacingHint(), whereas the space above, below, to the right and to the left shall be marginHint(). If you add a separator line above the buttons, there shall be a marginHint() between the buttons and the separator and a marginHint() above the separator as well.

See also
  KDialogBase

Author
  Thomas Tanghus tangh.nosp@m.us@e.nosp@m.arthl.nosp@m.ing..nosp@m.net, Espen Sand espen.nosp@m.sa@o.nosp@m.nline.nosp@m..no

Definition at line 52 of file kdialog.h.

## Constructor & Destructor Documentation

KDialog::KDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`,
|  | WFlags | f = `0`
| ) |  |

Constructor.

Takes the same arguments as QDialog.

Definition at line 46 of file kdialog.cpp.

## Member Function Documentation

bool KDialog::avoidArea | ( | QWidget * | widget,
|  | const QRect & | area,
|  | int | screen = `-1`
| ) |  |

static

Places `widget` so that it doesn't cover a certain `area` of the screen.

This is typically used by the "find dialog" so that the match it finds can be read. For `screen`, see centerOnScreen

Returns
  true on success (widget doesn't cover area anymore, or never did), false on failure (not enough space found)

Since
  3.2

Definition at line 205 of file kdialog.cpp.

void KDialog::centerOnScreen | ( | QWidget * | widget,
|  | int | screen = `-1`
| ) |  |

static

Centers `widget` on the desktop, taking multi-head setups into account.

If `screen` is -1, `widget` will be centered on its current screen (if it was shown already) or on the primary screen. If `screen` is -3, `widget` will be centered on the screen that currently contains the mouse pointer. `screen` will be ignored if a merged display (like Xinerama) is not in use, or merged display placement is not enabled in kdeglobals.

Since
  3.1

Definition at line 195 of file kdialog.cpp.

void KDialog::keyPressEvent | ( | QKeyEvent * | e | ) |

protected virtual

Reimplemented in KDialogBase, and KColorDialog.

Definition at line 55 of file kdialog.cpp.

void KDialog::layoutHintChanged | ( |  | ) |

signal

Emitted when the margin size and/or spacing size have changed.

Use marginHint() and spacingHint() in your slot to get the new values.

int KDialog::marginHint | ( |  | ) |

static

Return the number of pixels you shall use between a dialog edge and the outermost widget(s) according to the KDE standard.

Definition at line 97 of file kdialog.cpp.

void KDialog::polish | ( |  | ) |

virtual slot

If the dialog starts with focus in a QLineEdit child, then call selectAll() on the child.

Definition at line 109 of file kdialog.cpp.

void KDialog::resizeLayout | ( | QWidget * | widget,
|  | int | margin,
|  | int | spacing
| ) |  |

static

Resize every layout manager used in `widget` and its nested children.

Parameters

  widget | The widget used.
  margin | The new layout margin.
  spacing | The new layout spacing.

Definition at line 133 of file kdialog.cpp.

void KDialog::resizeLayout | ( | QLayoutItem * | lay,
|  | int | margin,
|  | int | spacing
| ) |  |

static

Resize every layout associated with `lay` and its children.

Parameters

  lay | layout to be resized
  margin | The new layout margin
  spacing | The new layout spacing

Definition at line 156 of file kdialog.cpp.

void KDialog::setCaption | ( | const QString & | caption | ) |

virtual slot

Make a KDE compliant caption.

Parameters

  caption | Your caption. Do `not` include the application name in this string. It will be added automatically according to the KDE standard.

Definition at line 115 of file kdialog.cpp.

void KDialog::setPlainCaption | ( | const QString & | caption | ) |

virtual slot

Make a plain caption without any modifications.

Parameters

  caption | Your caption. This is the string that will be displayed in the window title.

Definition at line 122 of file kdialog.cpp.

int KDialog::spacingHint | ( |  | ) |

static

Return the number of pixels you shall use between widgets inside a dialog according to the KDE standard.

Definition at line 103 of file kdialog.cpp.

The documentation for this class was generated from the following files:

- kdialog.h
- kdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys